Summary:       Command Line XML Toolkit
Name:          xmlstarlet
Version:       1.6.1
Release:       4%{?dist}
License:       MIT
URL:           http://xmlstar.sourceforge.net/
Source0:       http://downloads.sourceforge.net/xmlstar/%{name}-%{version}.tar.gz

Patch0001:     xmlstarlet-1.6.1-nogit.patch

BuildRequires: make gcc automake autoconf
BuildRequires: xmlto libxslt-devel docbook5-schemas
BuildRequires: libxml2-devel >= 2.6.23


%description
XMLStarlet is a set of command line utilities which can be used
to transform, query, validate, and edit XML documents and files
using simple set of shell commands in similar way it is done for
plain text files using UNIX grep, sed, awk, diff, patch, join, etc
commands.


%prep
%autosetup -p1


%build
autoreconf -i
%configure --disable-static-libs --with-libxml-include-prefix=%{_includedir}/libxml2 --docdir=%{_pkgdocdir}
%make_build


%install
%make_install
mv %{buildroot}%{_bindir}/xml %{buildroot}%{_bindir}/xmlstarlet


%check
make check


%files
%license Copyright
%doc AUTHORS ChangeLog NEWS README TODO
%doc %{_pkgdocdir}/*
%{_mandir}/man1/xmlstarlet.1*
%{_bindir}/xmlstarlet



%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.1-2
- Rebuilt for OpenCloudOS Stream 23

* Sat Dec 17 2022 Miaojun Dong <zoedong@tencent.com> - 1.6.1-1
- initial build
